Docs
Search docs...⌘K

Create post

API only
POST/v3/social-media/post

Requests to this endpoint are free and do not consume any API units.

Query parameters

outputstring

The output format.

Allowed values:jsoncsvxmlphp

Request body

channel_idsarray<string>Required

Non-empty list of channel IDs to publish the post to.

text_contentstringRequired

Text content of the post.

timingstringRequired

When to publish the post.

Allowed values:publish_nowscheduleddraft
scheduled_atstring

Timestamp for scheduled posts (required when timing is scheduled) in ISO 8601 format. Returned values are in UTC.

Example:2026-01-01T12:00:00Z
auto_commentstring

Auto-comment text posted after publishing.

Responses

postobject
author_idstring or null

Unique identifier of the author.

author_namestring or null

Name of the author.

auto_commentstring or null

Auto-comment text posted after publishing.

channelsarray<object>

Social media channels associated with the post.

channel_idstring
channel_kindstring
channel_usernamestring
channel_display_namestring
channel_profile_image_urlstring or null
created_atstring

Timestamp when the author created the post.

external_post_idstring or null

Platform-specific post identifier.

permalinkstring or null

URL of the published post on the platform.

post_idinteger

Unique identifier for the post.

status_timestampstring

Timestamp associated with the current status.

text_contentstring

Text content of the post.